---
title: Get raw response
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[URL Scanner](https://developers.cloudflare.com/api/python/resources/url_scanner)

[Responses](https://developers.cloudflare.com/api/python/resources/url_scanner/subresources/responses)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get raw response

url\_scanner.responses.get(strresponse\_id, ResponseGetParams\*\*kwargs) -> [ResponseGetResponse](<https://developers.cloudflare.com/api/python/resources/url_scanner#(resource)%20url_scanner.responses%20%3E%20(model)%20response_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/urlscanner/v2/responses/{response\_id}

Returns the raw response of the network request. Find the `response_id` in the `data.requests.response.hash`.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`URL Scanner Write``URL Scanner Read`

##### ParametersExpand Collapse

account\_id: str

Account ID.

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

response\_id: str

Response hash.

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20response_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

str

Web resource or image.

[Link to this property](<#(resource)%20url_scanner.responses%20%3E%20(model)%20response_get_response%20%3E%20(schema)>)

### Get raw response

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.url_scanner.responses.get(
    response_id="response_id",
    account_id="account_id",
)
print(response)
```

##### Returns Examples